<Type Name="HttpException" FullName="System.Web.HttpException">
  <TypeSignature Language="C#" Value="public class HttpException : System.Runtime.InteropServices.ExternalException, ISerializable" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Web.UI.TagPrefixAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Runtime.InteropServices.ExternalException</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Runtime.Serialization.ISerializable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="CreateFromLastError">
      <MemberSignature Language="C#" Value="public static HttpException CreateFromLastError (string message);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.HttpException</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="message" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'HttpException'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetHttpCode">
      <MemberSignature Language="C#" Value="public int GetHttpCode ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetHtmlErrorMessage">
      <MemberSignature Language="C#" Value="public string GetHtmlErrorMessage ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpException ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'HttpException'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpException (string sMessage);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="sMessage" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="sMessage">a <see cref="T:System.String" /></param>
        <returns>a <see cref="T:System.Web.HttpException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpException (string sMessage, Exception InnerException);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="sMessage" Type="System.String" />
        <Parameter Name="InnerException" Type="System.Exception" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="sMessage">a <see cref="T:System.String" /></param>
        <param name="InnerException">a <see cref="T:System.Exception" /></param>
        <returns>a <see cref="T:System.Web.HttpException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpException (int iHttpCode, string sMessage);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="iHttpCode" Type="System.Int32" />
        <Parameter Name="sMessage" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="iHttpCode">a <see cref="T:System.Int32" /></param>
        <param name="sMessage">a <see cref="T:System.String" /></param>
        <returns>a <see cref="T:System.Web.HttpException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpException (int iHttpCode, string sMessage, int iHR);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="iHttpCode" Type="System.Int32" />
        <Parameter Name="sMessage" Type="System.String" />
        <Parameter Name="iHR" Type="System.Int32" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="iHttpCode">a <see cref="T:System.Int32" /></param>
        <param name="sMessage">a <see cref="T:System.String" /></param>
        <param name="iHR">a <see cref="T:System.Int32" /></param>
        <returns>a <see cref="T:System.Web.HttpException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpException (string sMessage, int iHR);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="sMessage" Type="System.String" />
        <Parameter Name="iHR" Type="System.Int32" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="sMessage">a <see cref="T:System.String" /></param>
        <param name="iHR">a <see cref="T:System.Int32" /></param>
        <returns>a <see cref="T:System.Web.HttpException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpException (int iHttpCode, string sMessage, Exception InnerException);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="iHttpCode" Type="System.Int32" />
        <Parameter Name="sMessage" Type="System.String" />
        <Parameter Name="InnerException" Type="System.Exception" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="iHttpCode">a <see cref="T:System.Int32" /></param>
        <param name="sMessage">a <see cref="T:System.String" /></param>
        <param name="InnerException">a <see cref="T:System.Exception" /></param>
        <returns>a <see cref="T:System.Web.HttpException" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
